%define upstream_name    ldap
%define upstream_version 0.65

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl modules for ldap
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Path)
BuildRequires: perl(IO::File)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Soundex)
BuildRequires: perl-devel >= 5.8.0
BuildArch:  noarch

Requires:   perl(Authen::SASL)  >= 2.0.0
Requires:   perl(Convert::ASN1) >= 0.70.0
Requires:   perl(XML::Parser)
%description
The perl-ldap distribution is a collection of perl modules
which provide an object-oriented interface to LDAP servers.

%prep
%setup -q -n %{name}-%{upstream_version}

# perl path
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"
chmod 644 contrib/*

cat > test.cfg << EOF
\$SERVER_EXE = "%{_sbindir}/slapd";
\$SERVER_TYPE = "openldap2+ssl+ipc+sasl";
\$SLAPD_DB = "bdb";
\$HOST = "127.0.0.1";
\$SCHEMA_DIR = "%{_datadir}/openldap/schema";
\$EXTERNAL_TESTS = 0;
1;
EOF

%build
find -name \*.pm | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc CREDITS Changes INSTALL META.json MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.650.0-4pclos2017
- rebuild against updates

